require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&Py_PYMEM_H)) {
    eval 'sub Py_PYMEM_H () {1;}' unless defined(&Py_PYMEM_H);
    require 'pyport.ph';
    if(defined(&__cplusplus)) {
    }
    unless(defined(&PyCore_MALLOC_FUNC)) {
	undef(&PyCore_REALLOC_FUNC) if defined(&PyCore_REALLOC_FUNC);
	undef(&PyCore_FREE_FUNC) if defined(&PyCore_FREE_FUNC);
	eval 'sub PyCore_MALLOC_FUNC () { &malloc;}' unless defined(&PyCore_MALLOC_FUNC);
	eval 'sub PyCore_REALLOC_FUNC () { &realloc;}' unless defined(&PyCore_REALLOC_FUNC);
	eval 'sub PyCore_FREE_FUNC () { &free;}' unless defined(&PyCore_FREE_FUNC);
    }
    unless(defined(&PyCore_MALLOC_PROTO)) {
	undef(&PyCore_REALLOC_PROTO) if defined(&PyCore_REALLOC_PROTO);
	undef(&PyCore_FREE_PROTO) if defined(&PyCore_FREE_PROTO);
	eval 'sub PyCore_MALLOC_PROTO () {( &size_t);}' unless defined(&PyCore_MALLOC_PROTO);
	eval 'sub PyCore_REALLOC_PROTO () {( &void *,  &size_t);}' unless defined(&PyCore_REALLOC_PROTO);
	eval 'sub PyCore_FREE_PROTO () {( &void *);}' unless defined(&PyCore_FREE_PROTO);
    }
    if(defined(&NEED_TO_DECLARE_MALLOC_AND_FRIEND)) {
    }
    unless(defined(&PyCore_MALLOC)) {
	undef(&PyCore_REALLOC) if defined(&PyCore_REALLOC);
	undef(&PyCore_FREE) if defined(&PyCore_FREE);
	eval 'sub PyCore_MALLOC {
	    local($n) = @_;
    	    eval q( &PyCore_MALLOC_FUNC($n));
	}' unless defined(&PyCore_MALLOC);
	eval 'sub PyCore_REALLOC {
	    local($p, $n) = @_;
    	    eval q( &PyCore_REALLOC_FUNC(($p), ($n)));
	}' unless defined(&PyCore_REALLOC);
	eval 'sub PyCore_FREE {
	    local($p) = @_;
    	    eval q( &PyCore_FREE_FUNC($p));
	}' unless defined(&PyCore_FREE);
    }
    eval 'sub PyMem_MALLOC {
        local($n) = @_;
	    eval q( &PyCore_MALLOC($n));
    }' unless defined(&PyMem_MALLOC);
    eval 'sub PyMem_REALLOC {
        local($p, $n) = @_;
	    eval q( &PyCore_REALLOC(($p), ($n)));
    }' unless defined(&PyMem_REALLOC);
    eval 'sub PyMem_FREE {
        local($p) = @_;
	    eval q( &PyCore_FREE(($p)));
    }' unless defined(&PyMem_FREE);
    eval 'sub PyMem_New {
        local($type, $n) = @_;
	    eval q((  &PyMem_Malloc(($n) * $sizeof{$type}) ));
    }' unless defined(&PyMem_New);
    eval 'sub PyMem_Resize {
        local($p, $type, $n) = @_;
	    eval q(( =  &PyMem_Realloc(($p), ($n) * $sizeof{$type}) ));
    }' unless defined(&PyMem_Resize);
    eval 'sub PyMem_Del {
        local($p) = @_;
	    eval q( &PyMem_Free($p));
    }' unless defined(&PyMem_Del);
    eval 'sub PyMem_NEW {
        local($type, $n) = @_;
	    eval q((  &PyMem_MALLOC( &_PyMem_EXTRA + ($n) * $sizeof{$type}) ));
    }' unless defined(&PyMem_NEW);
    eval 'sub PyMem_RESIZE {
        local($p, $type, $n) = @_;
	    eval q( &do {  &size_t  &_sum = *  &sizeof;  &if (! &_sum)  &_sum = 1; = (($p) ?  &PyMem_REALLOC($p,  &_sum) :  &PyMem_MALLOC( &_sum)); }  &while (0));
    }' unless defined(&PyMem_RESIZE);
    eval 'sub PyMem_DEL {
        local($p) = @_;
	    eval q( &PyMem_FREE($p));
    }' unless defined(&PyMem_DEL);
    if(defined(&__cplusplus)) {
    }
}
1;
